Skip to main content
PATCH
Set Node State

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

fleet_id
string
required
node_id
string
required

Body

application/json
state
enum<string>
required
Available options:
active,
draining,
cordoned

Response

Successful Response

id
string
required
fleet_id
string
required
state
string
required
connection
string
required
control_connected
boolean
default:false

An authenticated Node control session currently holds a live lease

address
string
default:""
inventory
Inventory · object
node_version
string
default:""
protocol
integer
default:0
issued_by
string
default:""
joined_from
string
default:""
last_seen_at
string | null
last_error
string
default:""
created_at
string | null